Skip to main content
PATCH
/
api
/
v1
/
routing-rules
/
{id}
/
score
Yönlendirme kuralı skorunu güncelle
curl --request PATCH \
  --url https://vpos-sandbox.payven.com.tr/api/v1/routing-rules/{id}/score \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "weight": 123,
  "success_rate": 123,
  "average_response_time_ms": 123,
  "cost_score": 123,
  "daily_transaction_limit": 123
}
'
{
  "type": "https://docs.payven.com.tr/errors/bad_request",
  "title": "Geçersiz istek",
  "status": 400,
  "code": "bad_request",
  "detail": "amount.amount alanı zorunlu.",
  "correlation_id": "9f1c8e76-2a3b-4f12-9c8d-12cb24a8a8a8"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Path Parameters

id
string<uuid>
required

Body

application/json
id
string<uuid>
weight
integer<int32> | null
success_rate
number<double> | null
average_response_time_ms
integer<int32> | null
cost_score
integer<int32> | null
daily_transaction_limit
integer<int32> | null

Response

No Content